Intrusion Prevention

Galil.RIO47100.Improper.Input.Validation.DoS

Description

This indicates an attack attempt against a Denial of Service vulnerability in Galil RIO-47100 Pocket PLC.
The vulnerability is caused by an error when the vulnerable software handles multiple repeated requests in a single session. It allows a remote attacker to crash vulnerable systems via crafted requests.

Affected Products

RIO-47100 PLC.

Impact

Denial of Service: Remote attacker can crash vulnerable systems.

Recommended Actions

Refer to the vendor's web site for suggested workaround.
http://www.galilmc.com/support/downloads/firmware_rev/firm47xxx.html

CVE References

CVE-2013-0699